import type { EventBridge } from 'aws-sdk';
import { Event } from './Event';
interface BusPutEvent {
    Source: string;
    DetailType: string;
    Detail?: unknown;
}
export declare class Bus {
    private _name;
    private _eventBridge;
    constructor({ name, EventBridge, }: {
        name: string;
        EventBridge: EventBridge;
    });
    put(events: BusPutEvent[]): Promise<EventBridge.PutEventsResponse>;
    computePattern(events: Event<string, Record<string, unknown>>[]): {
        source?: string[];
        'detail-type'?: string[];
    };
}
export declare function computeEventSize(event: EventBridge.PutEventsRequestEntry): number;
export {};
